<? $this->headScript()->prependFile(_st('highslide/highslide.js')); ?>
<?
	$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
	$defines = Zend_Registry::get('defines');
?>

<style>
.ajax { text-align: center; }
.ajax p { clear: left; padding: 12px 0 }
.ajax a.prev { border: 1px solid #c8e7ff; padding: 4px 10px; color: #333; text-decoration: none; background: #fff url('/img/v2.1/bullet_pg-left.gif') no-repeat 50% 50%; margin-right: 3px; }
.ajax a.p { border: 1px solid #c8e7ff; background: #fff; padding: 4px 8px; color: #333; text-decoration: none }
.ajax span { border: 1px solid #999; background: #33679d; padding: 4px 8px; color: #fff; font-weight: bold }
.ajax a.next { border: 1px solid #c8e7ff; padding: 4px 10px; color: #333; text-decoration: none; background: #fff url('/img/v2.1/bullet_pg-right.gif') no-repeat 50% 50%; margin-left: 3px; }
</style>

<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></a>
<div class="clear"></div>

<? Model_Agencies::hit($this->agency->id); ?>

<?php if ( ! $this->ajax ): ?>
	<?php $work_times = $this->agency->getWorkTimes(); ?>
	<div class='body-sep'>&nbsp;</div>
	
	<div class="ag-wrap">
		<div class="ag-logo-wrap">
			<img src='<?= ($this->agency->logo_hash) ? $this->agency->getLogoUrl() : _st('banner-logo_agency.jpg'); ?>' width="179" height="139" alt='' />
		</div>
		
		<div class="ag-info-box">
			<div class="title"><?= $this->t('club_info') ?></div>
			<table>
				<tr class="row">
					<td><span><?= $this->t('agency') ?>:</span></td>
					<td><?= $this->agency->name ?></td>
				</tr>
				<? if ($this->agency->address || $this->agency->city): ?>
				<? 
				$address = ''; 
				$address_map = '';
				if ($this->agency->address) 
				{
					$address .= $this->agency->address . '<br/>'; 
					$address_map .= $this->agency->address . ', ';
				}
				if ($this->agency->zip) 
				{
					$address .= $this->agency->zip . ' '; 
				}
				if ($this->agency->city) 
				{
					$address .= $this->agency->city; 
					$address_map .= $this->agency->city . ', ';
				}
				$address_map .=  ', Switzerland';
				$this->headScript()->appendFile('/index/js-init-exact?view=google-maps-v2-agency&address=' . $address_map );
				?>
				<tr class="row">
					<td><span><?= $this->t('address') ?>:</span></td>
					<td><?= $address ?> <a href="#" id="map"><img src="<?= _st('v2.1/map_icon.png') ?>" alt='Map' /></a></td>
				</tr>
				<div class="none" id="agency-map">
					<div id="close"></div>
					<div id="map_canvas" style="width: 400px; height: 400px;"></div>
				</div>
				<? endif; ?>
				<? if ($this->agency->phone): ?>
				<tr class="row">
					<td><span><?= $this->t('phone') ?>:</span></td>
					<td><?= $this->agency->phone ?></td>
				</tr>
				<? endif; ?>
				<? if ($this->agency->phone_instructions): ?>
				<tr class="row">
					<td><span><?= $this->t('phone_instructions') ?>:</span></td>
					<td><?= $this->agency->phone_instructions ?></td>
				</tr>
				<? endif; ?>
				<? if ($this->agency->email): ?>
				<tr class="row">
					<td><span><?= $this->t('email') ?>:</span></td>
					<td>
						<a href="<?= $this->getLink('feedback-agency') . '?to=' . $this->agency->id ?>" onclick="return Cubix.AgencyFeedback.Show($(this).getParent(), <?= $this->agency->id ?>, true)" class="contact-me" >
							<img src="<?= _st($this->lang() . '_btn_contactme.gif') ?>" alt='Contact me' />
						</a>
					</td>
				</tr>
				<? endif; ?>
				<? if($this->agency->web AND !$this->agency->block_website): ?>
				<tr class="row">
					<td><span><?= $this->t('web') ?>:</span></td>
					<td><a target='_blank' href='<?= $this->getLink('external-link', array('link' => $this->agency->web)) ?>'><?= $this->agency->web ?></a></td>
				</tr>
				<? endif; ?>
			</table>
		</div>
		<div class="ag-info-box ag-left-border">
			<div class="title"><?= $this->t('ag_more_info') ?></div>
			<table>
				<tr class="row">
					<td><span><?= $this->t('ladies') ?>:</span></td>
					<td><?= $this->count ?></td>
				</tr>
				<? if ($this->agency->entrance): ?>
				<tr class="row">
					<td><span><?= $this->t('entrance') ?>:</span></td>
					<td><?= $defines['club_entrance_status'][$this->agency->entrance] ?></td>
				</tr>
				<? endif; ?>
				<? if ($this->agency->wellness): ?>
				<tr class="row">
					<td><span><?= $this->t('wellness') ?>:</span></td>
					<td><?= $defines['club_wellness_status'][$this->agency->wellness] ?></td>
				</tr>
				<? endif; ?>
				<? if ($this->agency->food): ?>
				<tr class="row">
					<td><span><?= $this->t('food_and_drinks') ?>:</span></td>
					<td><?= $defines['club_food_status'][$this->agency->food] ?></td>
				</tr>
				<? endif; ?>
				<? if ($this->agency->outdoor): ?>
				<tr class="row">
					<td><span><?= $this->t('outdoor') ?>:</span></td>
					<td><?= $defines['club_outdoor_status'][$this->agency->outdoor] ?></td>
				</tr>
				<? endif; ?>
			</table>
		</div>
		<? if ($this->agency->available_24_7 || $work_times['working_times']): ?>
		<div class="ag-info-box ag-left-border">
			<div class="title">
				<div class="fleft"><?= $this->t('open_hours') ?></div>
				<? if (!$this->agency->available_24_7): ?>
				<div class="fleft" style="margin-left: 15px;">
					<? if ($work_times['is_open']): ?>
						<img class='img' src='<?= _st($this->lang() . '_btn_nowopen.gif') ?>' alt='<?= $this->t('now_open') ?>' />
					<? else:?>
						<img class='img' src='<?= _st($this->lang() . '_btn_closed.gif') ?>' alt='<?= $this->t('closed') ?>' />
					<? endif;?>
				</div>
				<? endif; ?>
				<div class="clear"></div>
			</div>
			<table>
				<? if ($this->agency->available_24_7): ?>
				<tr class="row">
					<td colspan="2">
						<div class='open hours'>
							<span class="strong"><?= $this->t('available_24_7') ?></span><br /><br />
							<img class="img" src="<?= _st('v2.1/24_7_icon.gif') ?>" />
						</div>
					</td>
				</tr>
				<? else: ?>
					<? foreach($work_times['working_times'] as $k => $wt): ?>
						<tr class="row">
							<td><span><?= $this->getWeekDay($k, $this->lang()); ?>: </span></td>
							<td><?= ($wt['from'] < 10) ? '0' . intval($wt['from']) : intval($wt['from']) ?>:<?= ( strlen($wt['from']) < 3 ) ? '00' : '30'?> - <?= ($wt['to'] < 10) ? '0' . intval($wt['to']) : intval($wt['to']) ?>:<?= (strlen($wt['to']) < 3) ? '00' : '30' ?></td>
						</tr>
					<? endforeach;?>
				<? endif; ?>
			</table>
		</div>
		<? endif; ?>
	</div>
	<div class="clear"></div>
	
	<div class='body-sep-hr'>&nbsp;</div>
	
	<? $about ='about_'.Cubix_I18n::getLang()?>
	<? if ($this->agency->{$about}): ?>
	<div class="ag-box ag-about">
		<div class="title"><?= $this->t('about_us') ?></div>
		<div class="text"><?= $this->agency->{$about} ?></div>
	</div>
	
	<div class='body-sep-hr'>&nbsp;</div>
	<? endif; ?>
	
	<? /*
	<div class='detail-infobox2'>
		<span><span class="strong"><?= $this->t('a_viewed') ?>:</span> <?= $this->agency->hit_count ?>x</span>
		<span><span class="strong"><?= $this->t('last_modified') ?>:</span> <?= ($this->agency->last_modified) ? date('d M Y', strtotime($this->agency->last_modified)) : '---' ?></span>
		<span><span class="strong"><?= $this->t('created') ?>:</span> <?= date('d M Y', strtotime($this->agency->creation_date)); ?></span>
	</div>
	
	<div class='body-sep-hr' style="margin-top: 0;">&nbsp;</div>
	*/ ?>
	
	<? if (count($this->photos)): ?>
	<div class="ajax" id="other-photos">
		<?= $this->render('agencies/photos.phtml'); ?>
	</div>
	<? endif; ?>
	
	<? $this->headScript()->appendScript("window.addEvent('domready', function () {
		Cubix.HashController.init();
	});"); ?>
<?php endif; ?>
<div class="ag-box ag-escorts">
	<div class="title"><?= $this->t('ladies_at_club') ?></div>
	<div id="container_escorts_in" style="margin-top: -20px">
		<?= $this->render('escorts/list.phtml') ?>
	</div>
</div>
	
<div class='body-sep-hr'>&nbsp;</div>

<div class="ajax" id="comments">
	<div class="ag-box ag-reviews">
		<div class="title fleft"><?= $this->t('comments') ?></div>
		<? $current_user = Model_Users::getCurrent(); ?>
		<? if (!$current_user || $current_user['user_type'] == 'member'): ?>
		<div style="float: right; cursor: pointer;"><img class="add-comment" rel="<?= $this->agency->id ?>" src="<?= _st('en_add-comment.gif') ?>" width="150" /></div>
		<? endif; ?>
		<div class="clear"></div>
		<div id="add-comment-form"></div>
		<p class="comment_added" id="comment_added"><?= __('comment_is_awaiting_moderation') ?></p>
		<div id="comments_container">
			<?= $this->render('agencies/comments.phtml'); ?>
		</div>
	</div>
</div>

<div class="ag-bottom"></div>

